Unable to create subdomain: Error: Filename: \\\\?\\C:\\WINDOWS\\system32\\inetsrv\\config\\applicationHost.config

Created:

2016-12-12 03:48:02 UTC

Modified:

2017-08-08 13:39:13 UTC

0

Was this article helpful?


Have more questions?

Submit a request

Unable to create subdomain: Error: Filename: \\\\?\\C:\\WINDOWS\\system32\\inetsrv\\config\\applicationHost.config

Applicable to:

  • Plesk 12.5 for Windows

Symptoms

Unable to create subdomain on specific subscription. The following error is shown:

Error: Filename: \\\\?\\C:\\WINDOWS\\system32\\inetsrv\\config\\applicationHost.config

Error:

In module
Exception type: System.ArgumentException
at Microsoft.Web.Administration.Interop.AppHostWritableAdminManager.GetAdminSection(String bstrSectionName, String bstrSectionPath)

at Microsoft.Web.Administration.Configuration.GetSectionInternal(ConfigurationSection section, String sectionPath, String locationPath)

at ServerManagerFactory.getSectionInternalWebconfig(String siteName, String virtualPath, String sectionPath, Type sectionType, String location)

at ServerManagerFactory.getHttpErrorSectionWebconfig(String siteName, String virtualPath, String location)

at IIS75HttpErrors.getSection(IIS75HttpErrors* )

at IIS7HttpErrors.getCollection(IIS7HttpErrors* )

at IIS75HttpErrors.isLocallyStored(IIS75HttpErrors* )

at configHosting(sub.example.com)(WebServerAdapter::configHosting line 511)
at configHosting(sub.example.com)(WebServerManager::configHosting line 3558)
at execute console command --install-vhost(vconsoleapp::start line 100)
at execute C:\\Parallels\\Plesk\\admin\\bin64\\websrvmng.exe --install-vhost "--vhost-config=tmpFF68.tmp"(vconsoleapp::run line 117)
(Error code 1)

Cause

ASP.Net 1.1 is installed and set for parent domain.
ASP.Net 1.1 should be a part of ASP.Net 3.5 .

Resolution

  1. Remove ASP.Net 1.1 from the server as it is not supported by IIS .
  2. Refresh components in Plesk > Tools & Settings > Server Components
  3. Set the correct ASP.Net version in Plesk > Domains > example.com > Hosting Settings

Note: ASP.Net 1.1 and ASP.Net 2.0 are included in ASP.Net 3.5

Have more questions? Submit a request
Please sign in to leave a comment.